%define name xmms-morestate
%define version 1.2
%define release %mkrel 13

Summary: Maintain xmms state information
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/xmms-morestate/%{name}-%{version}.tar.bz2
Patch: xmms-morestate-1.2-no-x86.patch
URL: http://sourceforge.net/projects/xmms-morestate/
License: GPLv2+
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libxmms-devel
BuildRequires: automake
Requires: xmms
Provides: xmms_morestate
Obsoletes: xmms_morestate

%description
The XMMS Morestate/Autoplay plugin restores some additional settings:
volume (esd only), song time, and playing/paused status.

It can also make XMMS start playing on start. It can start at the
beginning of the playlist, at a random position or at the position the
last XMMS-Session stopped.

%prep
%setup -q
%patch -p1
libtoolize --install --force
aclocal
autoconf
automake

%build
export CC="gcc -fPIC"
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm  -f %buildroot%_libdir/xmms/General/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README TODO ChangeLog
%_libdir/xmms/General/libmorestate.so




%changelog
* Sat Aug 06 2011 Götz Waschk <waschk@mandriva.org> 1.2-13mdv2012.0
+ Revision: 693472
- update build deps
- fix build

* Tue Aug 04 2009 Götz Waschk <waschk@mandriva.org> 1.2-12mdv2011.0
+ Revision: 408701
- update license

* Mon Aug 04 2008 Thierry Vignaud <tv@mandriva.org> 1.2-10mdv2009.0
+ Revision: 262571
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.2-9mdv2009.0
+ Revision: 257386
- rebuild
- fix spacing at top of description

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.2-7mdv2008.1
+ Revision: 130388
- kill re-definition of %%buildroot on Pixel's request


* Thu Jan 25 2007 Götz Waschk <waschk@mandriva.org> 1.2-7mdv2007.0
+ Revision: 113189
- Import xmms-morestate

* Thu Jan 25 2007 Gtz Waschk <waschk@mandriva.org> 1.2-7mdv2007.1
- unpack patch

* Tue Aug 01 2006 Götz Waschk <waschk@mandriva.org> 1.2-1mdv2007.0
- Rebuild

* Fri May 12 2006 Götz Waschk <waschk@mandriva.org> 1.2-5mdk
- Rebuild
- use mkrel

* Wed May 11 2005 Gtz Waschk <waschk@mandriva.org> 1.2-4mdk
- fix build on non-x86

* Sat Sep 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2-3mdk
- add source URL
- fix buildrequires

